Bug 74112 - FILESAVE : Display Unit Label is lost after file is saved as docx
Summary: FILESAVE : Display Unit Label is lost after file is saved as docx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-27 09:45 UTC by Sushil Shinde
Modified: 2015-05-16 10:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file. (17.71 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-27 09:45 UTC, Sushil Shinde
Details
Saved On LO. (14.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-27 09:45 UTC, Sushil Shinde
Details
Doesn't look fixed to me; comparison MS 2013 (80.74 KB, image/png)
2014-05-25 20:54 UTC, Jorendc
Details
Original left, roundtripped right -> OK (265.06 KB, image/png)
2015-05-16 10:30 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2014-01-27 09:45:11 UTC
Created attachment 92841 [details]
Original file.

Dispaly Unit label for X-axis or Y-axis in not exported in LO.

Current Behavior:

- Open attached file on LO.
- Export file as docx on LO.
- Open exported file on MS Word.
- Display unit labels are not visible on MS Word.


Exptected behavior:

- It shoud save display unit labels properly and display it properly on MS Word
  after saving file on LO.


* This display unit indicates the "unit" type of X or Y axis data.
* To reproduce this on MS, creat a chart with numbered data on X or Y axis.
  Then left mouse click on any numbered data axis. It will show menu.
  Then got FormatAxis->Axis Options->display Units.
Comment 1 Sushil Shinde 2014-01-27 09:45:28 UTC
Created attachment 92842 [details]
Saved On LO.
Comment 2 Jorendc 2014-02-01 15:06:44 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+ Build ID: dcca10d4e26d4602d9ac4f0b340b52c31fe086e3
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-01_02:04:21

Opened using Word for Mac 2011.

Kind regards,
Joren
Comment 3 Commit Notification 2014-02-11 23:57:53 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ec8d33e46046b13abad2daf850e23f896ad05bc

fdo#74112 Added properties to store chart display unit information in import.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-05-25 20:54:39 UTC
Created attachment 99798 [details]
Doesn't look fixed to me; comparison MS 2013
Comment 5 Jorendc 2015-05-16 10:30:01 UTC
Looks fixed to me, tested using Linux Mint x64 with LibreOffice Version: 5.0.0.0.alpha1+
Build ID: f3070563c3071e05e9c448e261fec1e397bffb48
Locale: nl-BE (nl_BE.UTF-8)

File opened using Word 2010.
Comment 6 Jorendc 2015-05-16 10:30:22 UTC
Created attachment 115655 [details]
Original left, roundtripped right -> OK